<?php

/**
 * @file
 * Contains administrative forms with Entity Abuse module configurations.
 */

/**
 * Form for managing module's configurations.
 */
function entity_abuse_settings_form($form) {

  $form['abuse_form'] = array(
    '#type' => 'fieldset',
    '#title' => t('Abuse form settings'),
  );

  $form['abuse_form']['entity_abuse_reason_field'] = array(
    '#type' => 'select',
    '#title' => t('Reason field'),
    '#description' => t('Setting for adding reason textarea when user submits his complain.'),
    '#options' => array(
      ENTITY_ABUSE_REASON_FIELD_DISABLED => t('Disabled'),
      ENTITY_ABUSE_REASON_FIELD_OPTIONAL => t('Optional'),
      ENTITY_ABUSE_REASON_FIELD_REQUIRED => t('Required'),
    ),
    '#default_value' => variable_get('entity_abuse_reason_field', ENTITY_ABUSE_REASON_FIELD_OPTIONAL),
  );

  $form['abuse_link'] = array(
    '#type' => 'fieldset',
    '#title' => t('Abuse link settings'),
  );

  $form['abuse_link']['entity_abuse_link_submit_title'] = array(
    '#type' => 'textfield',
    '#title' => t('Submit abuse link title'),
    '#description' => t('Title of the "submit abuse" link which displayed on the content.'),
    '#default_value' => variable_get('entity_abuse_link_submit_title', ENTITY_ABUSE_LINK_SUBMIT_ABUSE_TITLE),
  );

  $form['abuse_link']['entity_abuse_link_cancel_title'] = array(
    '#type' => 'textfield',
    '#title' => t('Cancel abuse link title'),
    '#description' => t('Title of the "cancel abuse" link which displayed on the content.'),
    '#default_value' => variable_get('entity_abuse_link_cancel_title', ENTITY_ABUSE_LINK_CANCEL_ABUSE_TITLE),
  );

  return system_settings_form($form);
}
